Doomsday Engine - Bug #1984

Fedora (Linux) : error: unknown type name ‘libcommon_config_t
2015-02-28 00:16 - toxicshadow

Status: Closed Start date: 2015-02-28
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version:

Description

gcc -c -pipe -std=c99 -fms-extensions -l/usr/include/assimp -O2 -g -pipe -Wall -Werror=format-security
-Wp,-D_FORTIFY_SOURCE-=2 -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -O2
-D_REENTRANT -Werror-implicit-function-declaration -fdiagnostics-show-option -fPIC -DNDEBUG -DDENG_64BIT_HOST -DUNIX
-DDENG_X11 -DDENG_BASE_DIR="\"/mnt/games/native_games/doomsday/share/doomsday/\""
-DDENG_LIBRARY_DIR="\"/mnt/games/native_games/doomsday/lib/doomsday/\"" -DDENG_NO_FIXED_ASM
-DDENG_NO_RANGECHECKING -D__JDOOM__ -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-l/usr/lib64/qt4/mkspecs/linux-g++ -I../../../plugins/doom -l/usr/include/QtCore -l/usr/include/QtNetwork -I/usr/include -I../../../api
-I../../../libcore/include -1../../../libdoomsday/include -I../../../liblegacy/include -I../../../plugins/common/include -I/portable/include
-I../../../Jexternal/lzss/portable/include -1../../../libgui/include -1../../../plugins/doom/include
-I/mnt/games/native_games/games_source/deng-code/doomsday/temp_build/plugins/doom/. -1../../../plugins/doom -I. -0 hu_pspr.o
./..J../plugins/common/src/hu_pspr.c

In file included from ../../../plugins/doom/include/j[doom.h:36:0,

from ../../../plugins/common/src/hu_pspr.c:33:

.J..1../Jplugins/doom/include/../../doom/include/d_config.h:79:5: error: unknown type name ‘libcommon_config_t’

libcommon_config_t common;

A

./../../plugins/common/src/hu_pspr.c: In function ‘HU_PSpriteYOffset’:

../../../plugins/common/src/hu_pspr.c:92:29: error: request for member ‘plrViewHeight’ in something not a structure or union

float offy = (cfg.common.plrViewHeight - DEFAULT_PLAYER_VIEWHEIGHT) * 2;

A

..I..1../plugins/common/src/hu_pspr.c:110:49: error: request for member ‘statusbarScale’ in something not a structure or union
offy -= (float) (ST_HEIGHT) * cfg.common.statusbarScale - 16;
A

Makefile:564: recipe for target 'hu_pspr.o' failed

This appears to be the same as bug 1933...

| have downloaded the master source from GIT twice using the following gmake each time:

gmake-qt4 -r ../doomsday.pro PREFIX=/mnt/games/native_games/doomsday CONFIG+=deng_notools

Was there a final solution to this issue? | can see that libcommon_config_t exists in config.h which is called from d_config.h_ which is
called from jdoom.h.

The makefile seems to suggest that it is including the correct directory...

Bit stuck on this one. Any ideas?

Associated revisions

Revision d7e16225 - 2015-02-28 19:44 - skyjake

All Games|libcommon: Include path for config.h
Perhaps a more specific path helps with this issue.
Revision 9d85dd9e - 2015-02-28 19:54 - skyjake
All Games|libcommon: Include path for config.h

Perhaps a more specific path helps with this issue.
History

#1 - 2015-02-28 00:42 - toxicshadow
Update: Modified d_config.h, d_config.h (in doom64) and h_config.h to use the absolute path for #include "config.h" and the build completes fine.

Doomsday now runs and plays as expected.
| can only assume it is something to do with the includes in the make file....
#2 - 2015-02-28 07:23 - skyjake

- Status changed from New to In Progress

- Assignee set to skyjake

#3 - 2015-02-28 07:27 - skyjake

There must be a config.h on the include path that gets priority over libcommon's config.h. I'll make the #include use a more specific path.

#4 - 2015-02-28 19:58 - skyjake

- Tags changed from linux, fedora, build, libcommon_config_t to Linux, Builder, libcommon, GCC
- Category set to Defect

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 2015-02-28 19:59 - skyjake

Please check if 9d85dd9e compiles correctly (does for me).

#6 - 2015-03-01 19:28 - skyjake

- Tags changed from linux, Builder, libcommon, GCC to Builder, libcommon, GCC

#7 - 2015-03-01 19:28 - skyjake

- Tags changed from Builder, libcommon, GCC to Builder, libcommon, GCC, Linux

#8 - 2015-03-02 22:04 - toxicshadow

Confirmed that it builds and runs successfully with the latest build.

Thanks.

#9 - 2015-03-03 06:34 - skyjake

- Status changed from Resolved to Closed

#10 - 2015-05-05 20:10 - skyjake

- Tags changed from Builder, libcommon, GCC, linux to Builder, libcommon, GCC, Linux
